Name:           openstego
Version:        0.5.2
Release:        1%{?dist}
Summary:        Free Steganography solution
Group:          Applications/System
License:        GPLv2
URL:            http://openstego.sourceforge.net/index.html
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{name}-%{version}/%{name}-src-%{version}.zip
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  desktop-file-utils
Requires:       java
Requires:       jpackage-utils

%description
Openstego is a steganography program that is able to hide data in various
kinds of image- and audio-files. The color- respectively sample-frequencies
are not changed thus making the embedding resistant against first-order
statistical tests. Features of Openstego include compression and encryption
of embedded data, embedding of a check-sum to verify the integrity of the
extracted data and support for jpg, bmp, wave and audio files.


%prep
%setup -q -n %{name}-src-%{version}
find . -name *.class -delete
find . -name *.jar -delete


%build
ant


%install
mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p ./lib/%{name}.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar
cp -p ./src/image/ImagesVectorSource.svg %{buildroot}%{_datadir}/pixmaps/stegano.svg
%jpackage_script com.sun.msv.driver.textui.Driver "" "" %{name}.jar %{name} true
desktop-file-install                       \
--dir=%{buildroot}%{_datadir}/applications \
%{SOURCE1}
#delete file for Windows :
rm -f %{buildroot}/openstego.bat


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/%{name}
%{_javadir}/%{name}/%{name}.jar
%{_datadir}/pixmaps/stegano.svg
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Sep 24 2011 Matthieu Saulnier <casper.le.fantom@gmail.com> 0.5.2-1
- Initial RPM
